% Pushbuttons for creating bad data file

% Note: this is still wrong:
%
% badwin values of all stations refer to start time 
% of earliest starting site.

function ts_baddata(skip,head)

global nstat nwin lstat badwin decimation

status = {' - ';'start';'stop'};

cbk = get(gco,'Tag');

if strfind(cbk,'ButtonBadPrev')
     if lstat==2 % -> start, same window
         lstat=1;
     elseif lstat==1 && nwin>=2 % -> stop, previous window
         lstat=2; nwin=nwin-1; 
     elseif (lstat==1 && nwin==1) || lstat==0 % -> ' -- ', 0 window
         lstat=0; nwin=0;
     end
end

% info for user, displayed in message window at bottom of plot
set(findobj('Tag','Messages'),...
    'String',['BAD-DATA MODE --- WINDOW: ',num2str(nwin),...
                              ', STATUS: ',upper(char(status{lstat+1}))]);

if strfind(cbk,'ButtonBadNext')
    
     if lstat==1 lstat=2; else lstat=1; nwin=nwin+1; end; 

     [x,y] = ginput(1);
     if (x<1) x=1; end

     % wanted: number of sample since start time
     badwin(:,nwin,lstat) = round(x) + skip./[head.dt];
     
     if lstat==1
        badwin(:,nwin,2)=NaN;
     elseif lstat==2 && badwin(1,nwin,2)<badwin(1,nwin,1)
        lstat=1;
     end
          
    % info for user, displayed in message window at bottom of plot
    set(findobj('Tag','Messages'),...
    'String',['BAD-DATA MODE --- WINDOW: ',num2str(nwin),...
                              ', STATUS: ',upper(char(status{lstat+1}))]);
end
