%	bin_BEAR		MATLAB function
%
%	bin_BEAR reads the binary  data from the selected files
%	skips samples according to vector skip to align data
%	properly and returns on array data of size (channels
% 	x nsamp) to plot.
%
%	USAGE: function [data]= bin_BEAR(head,skip,nsec,k);
%
function [data]= bin_BEAR(head,skip,nsec,k);
global fid_bin naxes

ndata = floor(nsec/head(k).dt);
data =zeros(head(k).nch,nsamp);

fseek(fid_bin(k),skip(k)*4*head(k).nch,-1);
data(1:head(k).nch,:) = fread(fid_bin(k),[head(k).nch,ndata],'float32');

return
