%	load_DAT.m		MATLAB script
%
%	loads ASCII (3 column) data files from nfiles

nchan = 3;
npoints =0;
if (npoints == 0)
  npoints = inf;
end

cfile = ['furres.dat';'ngkres.dat'];
[nstat,nchar] = size(cfile);

data = [];
for k = 1: nstat
  temp = [];
  fid = fopen(cfile(k,:),'r');
  temp = fscanf(fid,'%f',[nchan,npoints]);
  data = cat(3,data,temp);
  fclose(fid);
end
